using System;
using System.Collections.Generic;

namespace ViewStateCompressionDemo
{
    public class FakeData
    {
        public static List<DataItem> CreateFakeData()
        {
            List<DataItem> items = new List<DataItem>();
            Random r = new Random(42);
            string[] firstNames = new string[] {"Alice", "Bob", "Carol"};
            string[] lastNames = new string[] {"Smith", "Jones", "Doe"};

            for(int i = 0; i < 500; i++)
            {
                items.Add(new DataItem(i, firstNames[r.Next(3)], lastNames[r.Next(3)], r.Next(18, 60)));
            }
            return items;
        }

        public class DataItem
        {
            private int id;
            private string firstName;
            private string lastName;
            private int age;

            public DataItem()
            {
            }

            public DataItem(int id, string firstName, string lastName, int age)
            {
                this.id = id;
                this.firstName = firstName;
                this.lastName = lastName;
                this.age = age;
            }

            public int Id
            {
                get { return id; }
                set { id = value; }
            }

            public string FirstName
            {
                get { return firstName; }
                set { firstName = value; }
            }

            public string LastName
            {
                get { return lastName; }
                set { lastName = value; }
            }

            public int Age
            {
                get { return age; }
                set { age = value; }
            }
        }
    }
}
